airflow-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jarek Potiuk <ja...@potiuk.com>
Subject Re: Web UI is giving below error while logging in
Date Mon, 09 Aug 2021 18:12:42 GMT
This is problem with your environment. It has nothing to do with airflow.
You likely can reproduce it by simply running "import ldap" in your python
environment.
If you google the error message you will see that there are similar errors
people reported for conda -based installation. You might simply make sure
your python-ldap is installed properly (possibly reinstalling it and even
likely upgrading your python versions or python environment - just google
it and try some of the solutions you will find).

Start from having your python-ldap importable, and then Airflow should
start working.


On Mon, Aug 9, 2021 at 8:00 PM Dhiddi Sunil <sunil_dhiddi@optum.com> wrote:

> Hi Team,
>
>
>
> Can any one help on this issue please.
>
> http://prd:6293/login/ after logging in its giving below error
>
> Ooops!
>
>
>
>
>
> Something bad has happened.
>
> Please consider letting us know by creating a *bug report using GitHub
> <https://github.com/apache/airflow/issues/new/choose>*.
>
>
>
> Python version: 3.7.5
>
> Airflow version: 2.0.1
>
> Node: prod.uhc.com
>
>
> -------------------------------------------------------------------------------
>
> Traceback (most recent call last):
>
>   File
> "/airflow/etl/pyenv/pysdm/lib/python3.7/site-packages/flask_appbuilder/security/manager.py",
> line 1126, in auth_user_ldap
>
>     import ldap
>
>   File
> "/airflow/etl/pyenv/pysdm/lib/python3.7/site-packages/ldap/__init__.py",
> line 34, in <module>
>
>     import _ldap
>
> *ImportError: /usr/lib64/libk5crypto.so.3: undefined symbol: EVP_KDF_ctrl,
> version OPENSSL_1_1_1b*
>
>
>
> During handling of the above exception, another exception occurred:
>
>
>
> Traceback (most recent call last):
>
>   File
> "/airflow/etl/pyenv/pysdm/lib/python3.7/site-packages/flask/app.py", line
> 2447, in wsgi_app
>
>     response = self.full_dispatch_request()
>
>   File
> "/airflow/etl/pyenv/pysdm/lib/python3.7/site-packages/flask/app.py", line
> 1952, in full_dispatch_request
>
>     rv = self.handle_user_exception(e)
>
>   File
> "/airflow/etl/pyenv/pysdm/lib/python3.7/site-packages/flask/app.py", line
> 1821, in handle_user_exception
>
>     reraise(exc_type, exc_value, tb)
>
>   File
> "/airflow/etl/pyenv/pysdm/lib/python3.7/site-packages/flask/_compat.py",
> line 39, in reraise
>
>     raise value
>
>   File
> "/airflow/etl/pyenv/pysdm/lib/python3.7/site-packages/flask/app.py", line
> 1950, in full_dispatch_request
>
>     rv = self.dispatch_request()
>
>   File
> "/airflow/etl/pyenv/pysdm/lib/python3.7/site-packages/flask/app.py", line
> 1936, in dispatch_request
>
>     return self.view_functions[rule.endpoint](**req.view_args)
>
>   File
> "/airflow/etl/pyenv/pysdm/lib/python3.7/site-packages/flask_appbuilder/security/views.py",
> line 515, in login
>
>     form.username.data, form.password.data
>
>   File
> "/airflow/etl/pyenv/pysdm/lib/python3.7/site-packages/flask_appbuilder/security/manager.py",
> line 1128, in auth_user_ldap
>
>     *raise Exception("No ldap library for python.")*
>
> *Exception: No ldap library for python.*
>
>
>
>
> This e-mail, including attachments, may include confidential and/or
> proprietary information, and may be used only by the person or entity
> to which it is addressed. If the reader of this e-mail is not the intended
> recipient or his or her authorized agent, the reader is hereby notified
> that any dissemination, distribution or copying of this e-mail is
> prohibited. If you have received this e-mail in error, please notify the
> sender by replying to this message and delete this e-mail immediately.
>


-- 
+48 660 796 129

Mime
View raw message